<?php

declare(strict_types=1);

namespace App\Scolarite\Infrastructure\Service;

use App\Scolarite\Application\Port\HtmlSanitizer;
use Override;
use Symfony\Component\HtmlSanitizer\HtmlSanitizerInterface;

final readonly class HomeworkHtmlSanitizer implements HtmlSanitizer
{
    public function __construct(
        private HtmlSanitizerInterface $homeworkSanitizer,
    ) {
    }

    #[Override]
    public function sanitize(string $html): string
    {
        return $this->homeworkSanitizer->sanitize($html);
    }
}
